#!/bin/bash -f

#    OutputFile: $2/$1.info
#    ErrorFile: $2/$1.err
#    WarningFile: $2/$1.war

if [ ! -e "$3/exec/ramseries" ]
then
echo "error: This distribution does not contain the UNIX executable" >> "$2/$1.err"
fi

rm -f "$2/$1.flavia.msh" "$2/$1.flavia.res" "$2/$1.info" "$2/$1_steel.html"
#LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH
"$3/exec/ramseries" -i "$2/$1.info" -e "$2/$1.err" -w "$2/$1.war" "$2/$1.dat" &> "$2/$1.err"
if [ ! -e "$2/$1.flavia.res" -o ! -s "$2/$1.flavia.res" ]
then
  echo "Program failed a" >> "$2/$1.err"
else
  rm -f "$2/$1.dat"
fi
