
package require createdistribution
namespace import createdistribution::*
set createdistribution::tclkitsh_b tclkitsh85.exe
set createdistribution::tclkit_b tclkit85.exe
set name wserver
set version 1.2
#set dist_type starpacksh
set dist_type starkit
IconifiedConsole
package require dialogwin
if 0 {
    set w [dialogwin_snit .pass -entrytype password -entrylabel Password]
    set action [$w createwindow]
    if {$action < 1 } { exit }
    set password [$w giveentryvalue]
    destroy $w
    set dbtype mysql
    set host compass6
    set user compassweb
    set filetables { {/compass Compass_web_page} {/ramdebugger RamDebugger} }
} else {
    set dbtype sqlite
    set host ""
    set user ""
    set password ""
    set pattern pattern1
    set filetable /home/httpd/compass/compass_web_page.wnl
    set filetables ""
    lappend filetables [list /compass $filetable $pattern]
}
if 0 {
    file copy -force wserver.tcl wserver1.tcl
    set fout [open wserver1.tcl a]
    puts $fout [list wserver::cgi \
	    -dbtype $dbtype -host $host -user $user \
	    -password $password -pattern $pattern -filetable $filetable]
    close $fout
} else {
    set fout [open wserver_launcher.tcl w]
    puts $fout {
	set topdir [file join [file dirname [info script]] wserver_files]
	lappend ::auto_path $topdir
	source [file join $topdir wserver.tcl]
	source [file join $topdir lognoter_db.tcl]
    }
    foreach f $filetables {
	foreach "dir filetable pattern" $f break
	set map [list %dbtype [list $dbtype] %host [list $host] %user [list $user] \
		%password [list $password] %dir [list $dir] \
		%pattern [list $pattern] %filetable [list $filetable]]
	puts $fout [string map $map {
	    set ws [lognoter_server %AUTO% -dbtype %dbtype -host %host \
		    -user %user -password %password -topdir $topdir -pattern %pattern \
		    -filetable %filetable]
	    
	    Url_PrefixInstall %dir [list wserver::tclhttp_domain_handler \
		    $ws %dir]
	}]
    }
    close $fout
}
set createdistribution::doencrypt 0
#set createdistribution::doencrypt debug
lappend createdistribution::add_packages snit tdom 
lappend createdistribution::remove_packages tkdnd msgcat html fulltktree pid \
    sqlite3 uri mysqltcl compass_utils::c dialogwin mk4tcl tile tooltip twapi
if 1 {
    file delete -force wserver_files
    file mkdir wserver_files
    file copy wserver.tcl ../lognoter/tcl/lognoter_db.tcl images js \
	pattern1.html pattern_lognoter.html docbook2html.xslt \
	wserver_files
    file copy ~/myTclTk/compass_utils wserver_files
    CreateZipDist $name$version.zip . \
	[list wserver_launcher.tcl wserver_files]
    file delete -force wserver_files wserver_launcher.tcl compass_utils
} else {
    CreateDistribution $dist_type $name . wserver1.tcl \
	[list docbook2html.xslt pattern1.html images js ../lognoter/tcl/lognoter_db.tcl] \
	"" $version
    file delete wserver1.tcl
}
DeiconifyConsole
